---
import "~/index.sass";
import "~/App.sass";
import Post from "~/components/Blog/Post";
import Layout from "~/components/Layout/Layout.astro";
import DefaultPage from "../../Layout/DefaultPage.astro";
const { slug } = Astro.params;
const res = await fetch(import.meta.env.PUBLIC_API_URL + "/posts/" + slug);
const post = (await res.json()).data;
---

<DefaultPage type="article" content={post}>
  <Layout>
    <Post post={post} client:load />
  </Layout>
</DefaultPage>
